--- title: "queues" slug: "queues" updated: 2024-10-25T11:02:05Z published: 2024-10-25T11:02:05Z canonical: "docs.voiso.com/queues" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.voiso.com/llms.txt > Use this file to discover all available pages before exploring further. # queues Get/api/v2/cdr/queues Returns a list of all queue names and IDs based on your API key and user API key. Header parametersContent-TypeRequiredValid values[ "application/json" ] Query parameterskeystringRequired The [API key of a specific user](https://developers.voiso.com/#/rest/getting-started/authentication#how-to-obtain-the-user_api_key). Exampleuser_api_key Responses200 Success example1 Queues parameters All of the queues data ```json { "name": "Sales queue", "id": 28982 } ``` object Array of id and name Example{ "name": "Sales queue", "id": 28982 } 400 Invalid query parameters Invalid or nonexistent User API Key ```json { "error": "Invalid User API Key" } ``` Example{ "error": "Invalid User API Key" }